Loading...
Searching...
No Matches
Dune::RefinementImp::PrismTriangulation::RefinementIteratorSpecial< dimension, CoordType, 0 > Class Template Reference
Inheritance diagram for Dune::RefinementImp::PrismTriangulation::RefinementIteratorSpecial< dimension, CoordType, 0 >:

## Public Types

typedef RefinementImp< dimension, CoordType > | Refinement
typedef Refinement::IndexVector | IndexVector
typedef Refinement::CoordVector | CoordVector
typedef Refinement::template Codim< 0 >::Geometry | Geometry

## Public Member Functions

| RefinementIteratorSpecial (int nIntervals, bool end=false)
void | increment ()
IndexVector | vertexIndices () const
int | index () const
CoordVector | coords () const
Geometry | geometry () const

## Protected Types

typedef Refinement::BackendRefinement | BackendRefinement
typedef BackendRefinement::template Codim< 0 >::SubEntityIterator | BackendIterator

## Protected Attributes

int | nIntervals_
int | kuhnIndex
BackendIterator | backend
const BackendIterator | backendEnd

## Static Protected Attributes

static constexpr int | nKuhnSimplices = 3

## Member Typedef Documentation

## BackendIterator

template<int dimension, class CoordType>

typedef BackendRefinement::template Codim<0>::SubEntityIterator Dune::RefinementImp::PrismTriangulation::RefinementIteratorSpecial< dimension, CoordType, 0 >::BackendIterator

protected

## BackendRefinement

template<int dimension, class CoordType>

typedef Refinement::BackendRefinement Dune::RefinementImp::PrismTriangulation::RefinementIteratorSpecial< dimension, CoordType, 0 >::BackendRefinement

protected

## CoordVector

template<int dimension, class CoordType>

typedef Refinement::CoordVector Dune::RefinementImp::PrismTriangulation::RefinementIteratorSpecial< dimension, CoordType, 0 >::CoordVector

## Geometry

template<int dimension, class CoordType>

typedef Refinement::template Codim<0>::Geometry Dune::RefinementImp::PrismTriangulation::RefinementIteratorSpecial< dimension, CoordType, 0 >::Geometry

## IndexVector

template<int dimension, class CoordType>

typedef Refinement::IndexVector Dune::RefinementImp::PrismTriangulation::RefinementIteratorSpecial< dimension, CoordType, 0 >::IndexVector

## Refinement

template<int dimension, class CoordType>

typedef RefinementImp<dimension, CoordType> Dune::RefinementImp::PrismTriangulation::RefinementIteratorSpecial< dimension, CoordType, 0 >::Refinement

## Constructor & Destructor Documentation

## RefinementIteratorSpecial()

template<int dimension, class CoordType>

Dune::RefinementImp::PrismTriangulation::RefinementIteratorSpecial< dimension, CoordType, 0 >::RefinementIteratorSpecial | ( | int | nIntervals,
|  | bool | end = false )

## Member Function Documentation

## coords()

template<int dimension, class CoordType>

RefinementIteratorSpecial< dimension, CoordType, 0 >::CoordVector Dune::RefinementImp::PrismTriangulation::RefinementIteratorSpecial< dimension, CoordType, 0 >::coords | ( |  | ) | const

## geometry()

template<int dimension, class CoordType>

RefinementIteratorSpecial< dimension, CoordType, 0 >::Geometry Dune::RefinementImp::PrismTriangulation::RefinementIteratorSpecial< dimension, CoordType, 0 >::geometry | ( |  | ) | const

## increment()

template<int dimension, class CoordType>

void Dune::RefinementImp::PrismTriangulation::RefinementIteratorSpecial< dimension, CoordType, 0 >::increment | ( |  | ) |

## index()

template<int dimension, class CoordType>

int Dune::RefinementImp::PrismTriangulation::RefinementIteratorSpecial< dimension, CoordType, 0 >::index | ( |  | ) | const

## vertexIndices()

template<int dimension, class CoordType>

RefinementIteratorSpecial< dimension, CoordType, 0 >::IndexVector Dune::RefinementImp::PrismTriangulation::RefinementIteratorSpecial< dimension, CoordType, 0 >::vertexIndices | ( |  | ) | const

## Member Data Documentation

## backend

template<int dimension, class CoordType>

BackendIterator Dune::RefinementImp::PrismTriangulation::RefinementIteratorSpecial< dimension, CoordType, 0 >::backend

protected

## backendEnd

template<int dimension, class CoordType>

const BackendIterator Dune::RefinementImp::PrismTriangulation::RefinementIteratorSpecial< dimension, CoordType, 0 >::backendEnd

protected

## kuhnIndex

template<int dimension, class CoordType>

int Dune::RefinementImp::PrismTriangulation::RefinementIteratorSpecial< dimension, CoordType, 0 >::kuhnIndex

protected

## nIntervals_

template<int dimension, class CoordType>

int Dune::RefinementImp::PrismTriangulation::RefinementIteratorSpecial< dimension, CoordType, 0 >::nIntervals_

protected

## nKuhnSimplices

template<int dimension, class CoordType>

int Dune::RefinementImp::PrismTriangulation::RefinementIteratorSpecial< dimension, CoordType, 0 >::nKuhnSimplices = 3

static constexpr protected

The documentation for this class was generated from the following file:

- prismtriangulation.cc